function textRemove() {
	this.textContent = "";
}
function textConstant(e) {
	return function() {
		this.textContent = e;
	};
}
function textFunction(e) {
	return function() {
		this.textContent = e.apply(this, arguments) ?? "";
	};
}
function text_default(r) {
	return arguments.length ? this.each(r == null ? textRemove : (typeof r == "function" ? textFunction : textConstant)(r)) : this.node().textContent;
}
export { text_default as default };
